class ReviewList {
  List<Alerts>? alerts;
  String? status;

  ReviewList({this.alerts, this.status});

  ReviewList.fromJson(Map<String, dynamic> json) {
    if (json['alerts'] != null) {
      alerts = <Alerts>[];
      json['alerts'].forEach((v) {
        alerts!.add(Alerts.fromJson(v));
      });
    }
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (alerts != null) {
      data['alerts'] = alerts!.map((v) => v.toJson()).toList();
    }
    data['status'] = status;
    return data;
  }
}

class Alerts {
  String? alertReason;
  String? alertTime;
  String? cameraName;
  String? nOTIFICATIONCAT;
  int? notificationID;
  String? path;
  String? commandCenter;
  String? content;
  String? feedback;
  String? show;

  Alerts(
      {this.alertReason,
      this.alertTime,
      this.cameraName,
      this.nOTIFICATIONCAT,
      this.notificationID,
      this.path,
      this.commandCenter,
      this.content,
      this.feedback,
      this.show});

  Alerts.fromJson(Map<String, dynamic> json) {
    alertReason = json['Alert_reason'];
    alertTime = json['Alert_time'];
    cameraName = json['CameraName'];
    nOTIFICATIONCAT = json['NOTIFICATION_CAT'];
    notificationID = json['NotificationID'];
    path = json['Path'];
    commandCenter = json['command_center'];
    content = json['content'];
    feedback = json['feedback'];
    show = json['show'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['Alert_reason'] = alertReason;
    data['Alert_time'] = alertTime;
    data['CameraName'] = cameraName;
    data['NOTIFICATION_CAT'] = nOTIFICATIONCAT;
    data['NotificationID'] = notificationID;
    data['Path'] = path;
    data['command_center'] = commandCenter;
    data['content'] = content;
    data['feedback'] = feedback;
    data['show'] = show;
    return data;
  }
}
